function::returnstr
Prev | Chapter 18. Errno Tapset | Next

## Name

function::returnstr — Formats the return value as a string

## Synopsis

        returnstr:string(format:long)

## Arguments

`format`

  Variable to determine return type base value

## Description

This function is used by the nd_syscall tapset, and returns a string. Set format equal to 1 for a decimal, 2 for hex, 3 for octal.

Note that this function should only be used in dwarfless probes (i.e. 'kprobe.function(“foo”)'). Other probes should use `return_str`.

Prev | Up | Next
function::return_str | Home | function::returnval